[PATCH 4 of 8 3.26] [debian] Add ${misc:Depends} where missing

Denis Laxalde denis.laxalde at logilab.fr
Tue Jun 25 16:46:24 CEST 2019


# HG changeset patch
# User Denis Laxalde <denis.laxalde at logilab.fr>
# Date 1561466526 -7200
#      mar. juin 25 14:42:06 2019 +0200
# Branch 3.26
# Node ID ac79dfde9cb126ee06a0b5c3b5a187f6b7e896bd
# Parent  0e12c615aa0b00bfda7f36f07f1a9a2faf9d6ce5
# Available At https://hg.logilab.org/review/cubicweb
#              hg pull https://hg.logilab.org/review/cubicweb -r ac79dfde9cb1
[debian] Add ${misc:Depends} where missing

Fixes lintian warning "debhelper-but-no-misc-depends".

diff --git a/debian/control b/debian/control
--- a/debian/control
+++ b/debian/control
@@ -196,6 +196,7 @@ Package: python-cubicweb-twisted
 Architecture: all
 Section: python
 Depends:
+ ${misc:Depends},
  python-cubicweb (= ${source:Version}),
  python-twisted-web (<< 16.0.0),
 Description: meta package to use Twisted as HTTP server for CubicWeb
@@ -209,6 +210,7 @@ Package: python-cubicweb-pyramid
 Architecture: all
 Section: python
 Depends:
+ ${misc:Depends},
  python-cubicweb (= ${source:Version}),
  python-pyramid (>= 1.5.0),
  python-pyramid-multiauth,
@@ -229,6 +231,7 @@ Package: python3-cubicweb-pyramid
 Architecture: all
 Section: python
 Depends:
+ ${misc:Depends},
  python3-cubicweb (= ${source:Version}),
  python3-pyramid (>= 1.5.0),
  python3-pyramid-multiauth,



More information about the cubicweb-devel mailing list